Name: fmirror
Summary: FTP mirroring package
Version: 0.8.4pre10
Release: 1mdk
Source: ftp://ftp.ntnu.no/store/store/stash/fmirror/%{name}-%{version}.tar.bz2
Patch: fmirror-mandrake.patch.bz2
Group: Applications/Networking
URL: ftp://ftp.pvv.ntnu.no/pub/unix/network/fmirror
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
FTP mirroring package

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
make -j 2

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}

if [ -d $RPM_BUILD_ROOT/usr/man ]; then
  bzip2 -9f $RPM_BUILD_ROOT/usr/man/*/*
fi
if [ -d $RPM_BUILD_ROOT/usr/info ]; then
  bzip2 -9f $RPM_BUILD_ROOT/usr/info/*.info
fi
if [ -d $RPM_BUILD_ROOT/usr/X11R6/man ]; then
  bzip2 -9f $RPM_BUILD_ROOT/usr/X11R6/man/*/*
fi

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 0.8.4pre10
- update source URL

* Sun Jul 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- initial rpm
- change from base:
  - replace the redhat sample with a MUCH more useful one (mirrors
    cooker...)
